IActivity

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IActivity

    com.change_vision.jude.api.inf.model.IActivity

All Implemented Interfaces:
  IElement, IHyperlinkOwner, INamedElement

public IActivity
extends INamedElement

Interface for Activities.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IActivityDiagram` | `getActivityDiagram()` Get Activity@Diagram.
`abstract IActivityNode[]` | `getActivityNodes()` Get ActivityNodes.
`abstract IFlow[]` | `getFlows()` Get Flows.
`abstract IPartition[]` | `getPartitions()` Get Partitions.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getPartitions

    public abstract IPartition[] getPartitions()

  Get Partitions.

  Returns:
    The array of Partitions. Return the empty array if there is none.

### getActivityNodes

    public abstract IActivityNode[] getActivityNodes()

  Get ActivityNodes.

  Returns:
    The array of ActivityNodes. Return the empty array if there is none.

### getFlows

    public abstract IFlow[] getFlows()

  Get Flows.

  Returns:
    The array of Flows. Return the empty array if there is none.

### getActivityDiagram

    public abstract IActivityDiagram getActivityDiagram()

  Get Activity@Diagram.

  Returns:
    Activity@Diagram.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD